Bug 842032 - Review Request: eclipse-wtp-jsf - Tools for building JSF-based, web-enabled applications
Review Request: eclipse-wtp-jsf - Tools for building JSF-based, web-enabled a...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 22:10 EDT by Gerard Ryan
Modified: 2012-08-13 05:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 19:10:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akurtako: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gerard Ryan 2012-07-20 22:10:40 EDT
Spec URL: http://galileo.fedorapeople.org/eclipse-wtp-jsf/3.4.0-1/eclipse-wtp-jsf.spec
SRPM URL: http://galileo.fedorapeople.org/eclipse-wtp-jsf/3.4.0-1/eclipse-wtp-jsf-3.4.0-1.fc17.src.rpm

Description:
The JSF Tools Project adds comprehensive support to the Eclipse Web Tools
Platform Project to simplify development and deployment of JavaServer Faces
(JSF) applications. The project provides an extensible tooling infrastructure
and exemplary tools for building JSF-based, web-enabled applications.

Fedora Account System Username: galileo
Comment 1 Alexander Kurtakov 2012-07-23 03:31:52 EDT
I'll do this one.
Comment 2 Alexander Kurtakov 2012-07-23 03:41:26 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GENERATED FILE", "*No copyright* UNKNOWN", "UNKNOWN", "Apache (v2.0)
     GENERATED FILE", "Apache (v2.0)", "*No copyright* GENERATED FILE" For
     detailed output of licensecheck see file: /home/akurtakov/tmp/842032
     -eclipse-wtp-jsf/licensecheck.txt
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[-]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[-]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
     Note: No javadoc subpackage present
[-]: MUST Javadoc subpackages have Requires: jpackage-utils
[-]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
     Note: No javadoc subpackage present
[x]: SHOULD Package has BuildArch: noarch (if possible)
[-]: SHOULD Package uses upstream build method (ant/maven/etc.)


Issues:
1. Why don't you compile the _sdk features in addition too? The source bundles generated are really useful when developing plugins.
Comment 3 Gerard Ryan 2012-07-23 10:21:06 EDT
(In reply to comment #2)
> Issues:
> 1. Why don't you compile the _sdk features in addition too? The source
> bundles generated are really useful when developing plugins.

Good point! I've added them in an -sdk subpackage.

Spec URL: http://galileo.fedorapeople.org/eclipse-wtp-jsf/3.4.0-2/eclipse-wtp-jsf.spec
SRPM URL: http://galileo.fedorapeople.org/eclipse-wtp-jsf/3.4.0-2/eclipse-wtp-jsf-3.4.0-2.fc17.src.rpm
Comment 4 Alexander Kurtakov 2012-07-23 12:37:22 EDT
Looks good.

APPROVED.
Comment 5 Gerard Ryan 2012-07-23 18:32:07 EDT
New Package SCM Request
=======================
Package Name: eclipse-wtp-jsf
Short Description: Tools for building JSF-based, web-enabled applications
Owners: galileo
Branches: f17
InitialCC:
Comment 6 Gwyn Ciesla 2012-07-23 19:12:05 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-07-28 20:47:48 EDT
eclipse-wtp-jsf-3.4.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/eclipse-wtp-jsf-3.4.0-2.fc17
Comment 8 Fedora Update System 2012-07-30 00:57:34 EDT
eclipse-wtp-jsf-3.4.0-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-08-09 19:10:46 EDT
eclipse-wtp-jsf-3.4.0-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.